#
# spec file for package gtkhtml2 (Version 3.10.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgssapi libidl libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libsoup libsoup-devel libstdc++ libtiff libtool libusb libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           gtkhtml2
BuildRequires:  gail-devel intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel libidl libsoup-devel perl-XML-Parser
%define _name gtkhtml
%define prefix	/opt/gnome
%define sysconfdir /etc/%{prefix} 
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/GNOME
Requires:       gnome-spell2
AutoReqProv:    on
Version:        3.10.0
Release:        15.23
Summary:        Library for HTML Support for Gtk2
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{_name}/3.10/%{_name}-%{version}.tar.bz2
Patch:          gtkhtml-im-crash.patch
Patch1:         gtkhtml-missing_include.patch
Patch2:         bnc-127570-new-mail-takes-20-sec.patch
Patch3:         bgo-334814-wrong-html-generation-bulleted-list.patch
Patch4:         fix-gtkhtml-rtl.diff
Patch5:         bgo-434631-composer-focus-change.patch
Patch6:         save-inline-image-gtkthml-50767.patch
Patch7:         bnc-363909-invalid-write.diff
Patch8:         bnc-100135-regular-memory-hungry-crashes-of-evolution.diff
Patch9:         bnc-195252-wrong-scroll-behavior.diff

%description
GtkHTML is a lightweight HTML rendering, printing, and editing engine.
It was originally based on KHTMLW, but is now being independently
developed.



Authors:
--------
    Based on the KHTMLW widget from KDE 1.x by:
    Torben Weis <weis@stud.uni-frankfurt.de>
    Josip A. Gracin <grac@fly.cc.fer.hr>
    Martin Jones <mjones@kde.org>
    Main authors:
    Anders Carlsson <andersca@gnu.org> (initial KHTMLW port)
    Ettore Perazzoli <ettore@ximian.com> (generic hacking, editing)
    Jonas Borgstrm <jonas_b@bitsmart.com> (form support)
    Radek Doulik <rodo@ximian.com> (bug fixes)
    Larry Ewing <lewing@ximian.com> (bug fixes)
    Miguel de Icaza <miguel@ximian.com> (HTMLPainter)
    Other contributors:
    Ariel Rios <jarios@usa.net>
    Havoc Pennington <hp@pobox.com>
    Elliot Lee  <sopwith@redhat.com>
    Richard Hult <rhult@hem.passagen.se>
    Martijn van Beers <martijn@earthling.net>
    The glibwww library used by `testgtkhtml' was independently written by:
    James Henstridge <james@daa.com.au>
    Ariel Rios <ariel@galway.com.mx>

%debug_package
%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} gail-devel gtk2-devel libgnomeprintui-devel libgnomeui-devel libgnomeprint-devel libglade2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Based on the KHTMLW widget from KDE 1.x by:
    Torben Weis <weis@stud.uni-frankfurt.de>
    Josip A. Gracin <grac@fly.cc.fer.hr>
    Martin Jones <mjones@kde.org>
    Main authors:
    Anders Carlsson <andersca@gnu.org> (initial KHTMLW port)
    Ettore Perazzoli <ettore@ximian.com> (generic hacking, editing)
    Jonas Borgström <jonas_b@bitsmart.com> (form support)
    Radek Doulik <rodo@ximian.com> (bug fixes)
    Larry Ewing <lewing@ximian.com> (bug fixes)
    Miguel de Icaza <miguel@ximian.com> (HTMLPainter)
    Other contributors:
    Ariel Rios <jarios@usa.net>
    Havoc Pennington <hp@pobox.com>
    Elliot Lee  <sopwith@redhat.com>
    Richard Hult <rhult@hem.passagen.se>
    Martijn van Beers <martijn@earthling.net>
    The glibwww library used by 'testgtkhtml' was independently written by:
    James Henstridge <james@daa.com.au>
    Ariel Rios <ariel@galway.com.mx>

%prep
%setup -q -n %{_name}-%{version}
%patch -p1
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
%{?suse_update_config:%{suse_update_config -f }}
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib
make  

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang gtkhtml-3.8

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f gtkhtml-3.8.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{prefix}/%{_lib}/bonobo/servers/*.server
%{prefix}/%{_lib}/lib*.so.*
%dir %{prefix}/%{_lib}/gtkhtml
%{prefix}/%{_lib}/gtkhtml/lib*.so
%{prefix}/share/gtkhtml-3.8

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/libgtkhtml-3.8
%{prefix}/%{_lib}/lib*.so
%{prefix}/%{_lib}/lib*.*a
%{prefix}/%{_lib}/gtkhtml/lib*.*a

%changelog
* Fri Apr 04 2008 - shashish@suse.de
- bnc-195252-wrong-scroll-behavior.diff: To solve wrong scroll
  on HTML mail.
* Wed Apr 02 2008 - msuman@suse.de
- Added bnc-100135-regular-memory-hungry-crashes-of-evolution.diff
  to fix BNC #100135 (Ashish)
* Fri Mar 14 2008 - shashish@suse.de
- bnc-363909-invalid-write.diff : solve evolution crash.
* Mon Mar 03 2008 - psankar@suse.de
- SWAMP-ID: 16362
- bgo-434631-composer-focus-change.patch - Sets the composer focus in the correct place
- save-inline-image-gtkthml-50767.patch - Ability so save the images in mail body
* Tue Nov 14 2006 - sragavan@novell.com
- fix-gtkhtml-rtl.diff - Upstream fix for a RTL typing (Srini)
* Mon Mar 27 2006 - vvaradhan@novell.com
- Fixes (bnc)
  127570 New mail takes about 20 sec
* Mon Mar 20 2006 - vvaradhan@novell.com
- Fixes (bgo)
  334814 Wrong html generation of bullet list
- Removed gtkhtml-warnings.patch: the above patch fixes compiler
  warnings as well.
* Mon Mar 13 2006 - vvaradhan@novell.com
- Fix gtkhtml2.spec to look for appropriate tarball
* Mon Mar 13 2006 - vvaradhan@novell.com
- Update to version 3.10.0 - Fixes (bgo)
  332807  Copy contact to address book causes
  Evolution to crash.
  323450 	Possible cleanups for gtkhtml
  331528 	Warning from Evolution with a11y enabled
  331546 	Critical warning and crash when clicking on a
  link with a11y enabled
  203003 	tags incorrectly discarded in textarea blocks
* Tue Feb 28 2006 - sbrabec@suse.cz
- Build with optimization.
* Mon Feb 27 2006 - vvaradhan@novell.com
- Update to version 3.9.92
- Fixes: (in bgo)
  326366: crash on startup (critical warning)
  274400: Html-editor crashes when editing a specific html file.
  327850: Evolution crashes with Redo operation twice in paste
  quatations.
  328270: Evolution crashes when deleting table cells copied
  from some special html file
  330382: Evolution hangs when navigating mails with both RTL
  and LTR texts in caret mode
  301015: Crash on ctrl-shift-D then ctrl-shift-left when
  composing email
  318973: Caret Mode broken
  300429: Copy paste Issue, in Compose Dialog
  318697: Auto email-link creation causing rendering error
  (extra character)
  274499: Crash on opening Find dialog with Ctrl-F
  310990: does not find the first instance of the search-text
  if there are more than one instance
  313662: evolution crashed rendering a message
  328322: sftp URLs get highlighted as ftp URLs
  328522: Evolution crashes when click on the find buttons
  240320: copy+paste whole text part into composer creates table
  (plus few more...)
* Mon Feb 13 2006 - ro@suse.de
- add missing include statement to silence compiler warning
* Fri Feb 10 2006 - vvaradhan@novell.com
- Update to version 3.9.90
* Sat Feb 04 2006 - aj@suse.de
- Cleanup BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - gekker@suse.de
- Update to version 3.8.2
* Wed Oct 12 2005 - gekker@suse.de
- Update to version 3.8.1
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 3.8.0 (GNOME 2.12)
* Fri Aug 26 2005 - gekker@suse.de
- Update to version 3.7.7
- Remove upstreamed patch
* Sat Aug 13 2005 - aj@suse.de
- Add lzo and lzo-devel to nfb.
* Fri Aug 12 2005 - gekker@suse.de
- Update to version 3.7.6
* Mon Aug 01 2005 - gekker@suse.de
- Update to version 3.7.5
* Sat Jul 23 2005 - gekker@suse.de
- Update to version 3.7.4
- Fix unintialized variables
- Fix Requires: for -devel
* Wed Jun 29 2005 - gekker@suse.de
- Update to version 3.7.2
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Fri Mar 18 2005 - gekker@suse.de
- Fixes for html-editor (x73409, x73821)
* Wed Mar 16 2005 - gekker@suse.de
- Update to version 3.6.1
* Wed Mar 09 2005 - gekker@suse.de
- update to version 3.6.0 (GNOME 2.10).
* Wed Mar 02 2005 - gekker@suse.de
- Update to version 3.5.7
* Wed Feb 09 2005 - gekker@suse.de
- Update to version 3.5.6
* Sat Feb 05 2005 - gekker@suse.de
- Update to version 3.5.5
* Mon Jan 31 2005 - sbrabec@suse.cz
- Added IM crash patch from Hiroyuki Ikezoe (#50247).
* Sat Jan 15 2005 - clahey@suse.de
- Updated to version 3.5.3.
* Thu Jan 06 2005 - gekker@suse.de
- Update to version 3.5.2
* Tue Dec 07 2004 - gekker@suse.de
- update to version 3.2.4 (Ximian 70057)
* Mon Nov 29 2004 - gekker@suse.de
- Updated to version 3.2.3
- Removed patch for #67707, included in new version
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Sat Oct 09 2004 - dobey@suse.de
- Apply patch to fix bug #67707 in bugzilla.ximian.com
* Thu Sep 23 2004 - dobey@suse.de
- Updated to version 3.2.2
* Mon Sep 13 2004 - dobey@suse.de
- Updated to version 3.2.1
* Fri Aug 27 2004 - dobey@suse.de
- Updated to version 3.2.0
* Sat Aug 14 2004 - dobey@suse.de
- Updated to version 3.1.20
- Added deps to gtkhtml2-devel package
* Thu Aug 05 2004 - dobey@suse.de
- Added build deps for gnutls libs from libsoup
* Tue Aug 03 2004 - dobey@suse.de
- Updated to version 3.1.19
* Wed Jul 28 2004 - dobey@suse.de
- Updated to version 3.1.18
* Tue Jul 13 2004 - clahey@suse.de
- Updated to version 3.1.17.
* Sat Jun 05 2004 - clahey@suse.de
- Updated to version 3.1.16.
* Fri Jun 04 2004 - mibarra@suse.de
- Updated to version 3.1.15
* Sat May 22 2004 - mibarra@suse.de
- Updated to version 3.1.14.
* Tue May 18 2004 - clahey@suse.de
- Updated to version 3.1.12.
* Mon Mar 08 2004 - hhetter@suse.de
- updated to version 3.0.10
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Aug 05 2003 - sbrabec@suse.cz
- Needed package rename soup2 -> libsoup.
* Mon Aug 04 2003 - hhetter@suse.de
- let autoreconf install missing files
- updated to version 3.0.8
* Fri Jul 25 2003 - hhetter@suse.de
- build with intend
* Fri Jul 18 2003 - sbrabec@suse.cz
- Updated to version 3.0.7.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jul 03 2003 - sbrabec@suse.cz
- Devel file must depend on gtkhtml2, not gtkhtml.
* Mon Jun 30 2003 - ro@suse.de
- use find_lang
- added directory to filelist
* Wed Jun 04 2003 - sbrabec@suse.cz
- Package renamed to gtkhtml2.
- Updated to version 3.0.4.
* Tue May 27 2003 - sbrabec@suse.cz
- Require gnome-spell2 (installing spell component is optional, but
  highly recommended).
* Mon May 26 2003 - sbrabec@suse.cz
- Fixed libtool linking problems.
* Fri May 23 2003 - sbrabec@suse.cz
- Initial SuSE version of branch 3.
